QGIS Application - Bug report #19205
SAGA -> Terrain Analysis - Profiles -> Cross profiles gets a float where an integer is required
2018-06-16 12:21 AM - Loren Amelang

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.0.3 Regression?: Yes

Operating System: Windows 10 Creators with 3000x2000 scrgdtamydfith % scaling Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27034
Description

This is like #18870. But a different SAGA module.

In QGIS 3.0.3:
Processing -> Toolbox -> SAGA -> Terrain Analysis - Profiles -> Cross profiles

'50.0' is not a correct numeric value for option 'NUM_PROFILE'.

Tried the default:
'10.0' is not a correct numeric value for option 'NUM_PROFILE'.

Looks like NUM_PROFILE is different from the other parameters:
Usage: saga_cmd ta_profiles 3 [-DEM <str>] [-LINES <str>] [-PROFILES <str>] [-DIST_LINE <double>] [-DIST_PROFILE <double>]
[-NUM_PROFILE <num>]

-NUM_PROFILE:<num> Profile Samples
Integer

Minimum: 3

Default: 10

| tried to delete the decimal point and zeros from the SAGA dialog, but it puts them right back as soon as | leave the field!

Related issues:
Related to QGIS Application - Bug report # 18870: SAGA ... Channel Network an... Closed 2018-04-27

History

#1 - 2018-06-16 07:35 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in master

#2 - 2018-06-18 10:39 AM - Jiirgen Fischer
- Related to Bug report #18870: SAGA ... Channel Network and Drainage Basins fails due to Threshold being passed as a Real when Integer is
required added

#3 - 2018-06-18 10:39 AM - Jiirgen Fischer
- Description updated
